Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.jws
Interface ServiceHandle

All Superinterfaces:
  Serializable

    public interface ServiceHandle

extends Serializable

The ServiceHandle interface provides a persistable reference to a JWS service object. A ServiceHandle can refer to both a JWS service instance or to a JWS control instance that is associated with a JWS service instance.

Field Summary
`static int` | `SCHEME_DEFAULT`
`static int` | `SCHEME_FILE`
`static int` | `SCHEME_FTP`
`static int` | `SCHEME_HTTP`
`static int` | `SCHEME_JMS`
`static int` | `SCHEME_SMTP`

Method Summary
`String` | `getContextURI()` Returns the base context URI that references the root of the application containing this component.
`String` | `getControlID()` Returns the identity of a control instance that the handle refers to.
`String` | `getConversationID()` Returns the identity of a JWS conversation instance that the handle refers to.
`String` | `getJNDIBaseName()` Returns a period-separated string based on the URI, which uniquely identifies this service on this server and is used to generate unique JNDI names for objects associated with this service.
`int` | `getScheme()` Returns the protocol scheme that was used to construct the ServiceHandle.
`String` | `getURI()` Returns a protocol-indendent URI which can be used to refer to this service.
`URL` | `getURL()` Returns a URL which defines a reference to this service using the same scheme that was used to construct the service handle.
`URL` | `getURL(int scheme)` Returns a URL which defines a reference to this service using the specified scheme.

Field Detail

### SCHEME_DEFAULT

    static final int SCHEME_DEFAULT

See Also:
  Constant Field Values

### SCHEME_HTTP

    static final int SCHEME_HTTP

See Also:
  Constant Field Values

### SCHEME_JMS

    static final int SCHEME_JMS

See Also:
  Constant Field Values

### SCHEME_SMTP

    static final int SCHEME_SMTP

See Also:
  Constant Field Values

### SCHEME_FTP

    static final int SCHEME_FTP

See Also:
  Constant Field Values

### SCHEME_FILE

    static final int SCHEME_FILE

See Also:
  Constant Field Values

Method Detail

### getScheme

    int getScheme()

  Returns the protocol scheme that was used to construct the ServiceHandle.

### getJNDIBaseName

    String getJNDIBaseName()

  Returns a period-separated string based on the URI, which uniquely identifies this service on this server and is used to generate unique JNDI names for objects associated with this service.

### getURI

    String getURI()

  Returns a protocol-indendent URI which can be used to refer to this service.

### getContextURI

    String getContextURI()

  Returns the base context URI that references the root of the application containing this component.

### getURL

    URL getURL(int scheme)

  Returns a URL which defines a reference to this service using the specified scheme.

### getURL

    URL getURL()

  Returns a URL which defines a reference to this service using the same scheme that was used to construct the service handle.

### getConversationID

    String getConversationID()

  Returns the identity of a JWS conversation instance that the handle refers to. This may be null if referring to stateless service or constructed as a result of processing a stateless operation on a service.

### getControlID

    String getControlID()

  Returns the identity of a control instance that the handle refers to. This may be null if the handle is associated with a service instance instead of a control instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD